Package org.openni

# Interface OpenNI.DeviceStateChangedListener

Enclosing class:
  `OpenNI`

public static interface OpenNI.DeviceStateChangedListener
The OpenNI::DeviceStateChangedListener interface provides a means of registering for, and responding to when a device's state is changed. onDeviceStateChanged is triggered whenever the state of a connected device is changed. To use this class, you should write a new class that inherits from it, and override the onDeviceStateChanged method. Once you instantiate your class, use the `OpenNI.addDeviceStateChangedListener(org.openni.OpenNI.DeviceStateChangedListener)` function to add your listener object to OpenNI's list of listeners. Your handler function will then be called whenever the event occurs. A `OpenNI.removeDeviceStateChangedListener(org.openni.OpenNI.DeviceStateChangedListener)` function is also provided, if you want to have your class stop listening to these events for any reason.

## Method Summary

Modifier and Type
Method
Description
`void`
`onDeviceStateChanged(DeviceInfo info, int deviceState)`
Callback function for the onDeviceStateChanged event.

## Method Details

### onDeviceStateChanged

void onDeviceStateChanged(DeviceInfo info, int deviceState)
Callback function for the onDeviceStateChanged event. This function will be called whenever this event occurs. When this happens, a pointer to a DeviceInfo object for the affected device will be supplied, as well as the new DeviceState value of that device.